
Redmine - Defect #40655

Revisions count is wrong on the wiki content page

2024-05-03 17:22 - Karel Pičman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 5.0.10   

Resolution: Fixed Affected version:  

Description

It shows the number of the last revision instead of count of revisions
Associated revisions

Revision 22877 - 2024-06-13 05:06 - Go MAEDA

Revisions count is wrong on the wiki content page (#40655).

Contributed by Karel Pičman (@picman).

Revision 22883 - 2024-06-17 09:45 - Go MAEDA

Merged r22877 from trunk to 5.1-stable (#40655).

Revision 22884 - 2024-06-17 09:45 - Go MAEDA

Merged r22877 from trunk to 5.0-stable (#40655).

History

#1 - 2024-06-03 10:54 - Go MAEDA

- Tracker changed from Patch to Defect

- Status changed from New to Confirmed

- Target version set to Candidate for next major release

#2 - 2024-06-06 12:47 - Go MAEDA

- File 40655.patch added

Thank you for reporting the issue. I am attaching an updated patch with a test code.

The original patch raises an exception when rendering a specific version of a Wiki page. The attached patch includes the fix for it.

ActionView::Template::Error (undefined method `versions' for an instance of WikiContentVersion):

    85: <p class="wiki-update-info">

    86:   <% if User.current.allowed_to?(:view_wiki_edits, @project) %>

    87:     <%= wiki_content_update_info(@content) %>

    88:     · <%= link_to l(:label_x_revisions, :count => @content.versions.all.size), {:action => 'history', 

:id => @page.title} %>

    89:   <% end %>

    90:   <% if @page.protected? %>

    91:     <span class="badge badge-status-locked"><%= l('status_locked') %></span>

app/views/wiki/show.html.erb:88

#3 - 2024-06-12 09:26 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.10

Setting the target version to 5.0.10.
#4 - 2024-06-13 05:06 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

Committed the fix in r22877. Thank you for your contribution.

#5 - 2024-06-13 07:26 - Karel Pičman

You are welcome.

#6 - 2024-06-17 09:46 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged the fix to the stable branches.

Files

number_of_revisions.diff 726 Bytes 2024-05-03 Karel Pičman
40655.patch 1.68 KB 2024-06-06 Go MAEDA
